Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activity
Class ActivityRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      javax.activity.ActivityRequiredException

All Implemented Interfaces:
  Serializable

    public class ActivityRequiredException

extends RemoteException

This exception is thrown by a container if Activity context is not received on a method for which Activity context is mandatory. This exception indicates a deployment or application configuration error. This exception will be propagated across ORB boundaries via an org.omg.CORBA.ACTIVITY_REQUIRED system exception.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ActivityRequiredException()` Constructs a new instance with null as its detail message.
`ActivityRequiredException(String message)` Constructs a new instance with the specified detail message.
`ActivityRequiredException(String message, Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`ActivityRequiredException(Throwable cause)` Constructs a new throwable with the specified cause.

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActivityRequiredException

    public ActivityRequiredException()

  Constructs a new instance with null as its detail message.

### ActivityRequiredException

    public ActivityRequiredException(String message)

  Constructs a new instance with the specified detail message.

  Parameters:
    `message` - the detail message.

### ActivityRequiredException

    public ActivityRequiredException(Throwable cause)

  Constructs a new throwable with the specified cause.

  Parameters:
    `cause` - a chained exception of type `Throwable`.

### ActivityRequiredException

    public ActivityRequiredException(String message,
                                     Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `message` - the detail message.
    `cause` - a chained exception of type `Throwable`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.